Description

Hola

Estoy probando a digitalizar una capa. Tengo varias capas cargadas en la misma vista y he marcado todas las capas para que se
tengan en cuenta a la hora de hacer el snapper (botón derecho sobre una capa, comenzar edición, botón derecho sobre la capa,
propiedades de edición y he marcado todos las capas de la vista para que se tengan en cuenta en el snapper).

A pesar de que lo he marcado no lo tiene en cuenta.

He estado mirando el código y he visto que dónde se hace esto es en la clase MapControl en su método adjustToHandler.

El problema, o lo que yo pienso que es el problema, es cuando recorre el array layersToSnap porque hace 
FLyrVect lyrVect = (FLyrVect) layersToSnap.get(j);
SpatialCache cache = lyrVect.getSpatialCache();
List geoms = cache.query(e);

Resulta que cuando hace cache.query(e) sobre uno de los FLyrVect que no es sobre el que yo marqué "comenzar edición" me
devuelve que geoms es null con lo cual, cuando después intenta recorrer dicha geometría para asignarle los valores a los snappers,
no entra y no le asigna los valores necesarios.

De esta forma, el snapper solo se hace sobre la capa sobre la que se hizo "Comenzar Edición" y no tiene en cuenta las otras a pesar
de que se marcaron

¿Cuál puede ser la solución para esto?

Me urge solucionar esto porque estamos digitalizando y necesitamos que los snappers nos funcionen para todas las capas.

Gracias

History
#1 - 04/25/2013 02:21 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 05/09/2013 04:08 PM - Manuel Madrid
- Category set to Vector editing
#3 - 09/17/2013 05:21 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#4 - 09/19/2013 12:34 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version set to 2.1.0-2223-rc1

This problem does not happen in the current code (gvsig-desktop:r40721).
It probably was solved in other ticket related to snapping.

#5 - 01/13/2014 09:23 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#6 - 01/27/2014 06:57 PM - Álvaro Anguix
- Status changed from Fixed to Closed
